package intrinsic.mx.binding;

public class XMLWatcher extends intrinsic.mx.binding.Watcher implements intrinsic.mx.utils.IXMLNotifiable {

	/** Accessors */
	public String propertyName;

	/** Variables */
	public Object value;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public XMLWatcher() {
}

public XMLWatcher(Object arg0, Object arg1) {
}


/** Static Methods */

/** Methods */
public native void updateParent(Object arg0);
public native void xmlNotification(Object arg0, String arg1, Object arg2, Object arg3, Object arg4);

}
